Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network71.2.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
71.2.76.0
Broadcast address
71.2.79.255
First usable
71.2.76.1
Last usable
71.2.79.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 47024C00 · Integer 1191332864 to 1191333887
Reverse DNS zones
76.2.71.in-addr.arpa
77.2.71.in-addr.arpa
78.2.71.in-addr.arpa
79.2.71.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000111.00000010.01001100.0000000071.2.76.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network01000111.00000010.01001100.0000000071.2.76.0
Broadcast01000111.00000010.01001111.1111111171.2.79.255
Split into smaller subnets/30

71.2.76.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
171.2.76.0/3071.2.76.1 to 71.2.76.271.2.76.32
271.2.76.4/3071.2.76.5 to 71.2.76.671.2.76.72
371.2.76.8/3071.2.76.9 to 71.2.76.1071.2.76.112
471.2.76.12/3071.2.76.13 to 71.2.76.1471.2.76.152
571.2.76.16/3071.2.76.17 to 71.2.76.1871.2.76.192
671.2.76.20/3071.2.76.21 to 71.2.76.2271.2.76.232
771.2.76.24/3071.2.76.25 to 71.2.76.2671.2.76.272
871.2.76.28/3071.2.76.29 to 71.2.76.3071.2.76.312
971.2.76.32/3071.2.76.33 to 71.2.76.3471.2.76.352
1071.2.76.36/3071.2.76.37 to 71.2.76.3871.2.76.392
1171.2.76.40/3071.2.76.41 to 71.2.76.4271.2.76.432
1271.2.76.44/3071.2.76.45 to 71.2.76.4671.2.76.472
1371.2.76.48/3071.2.76.49 to 71.2.76.5071.2.76.512
1471.2.76.52/3071.2.76.53 to 71.2.76.5471.2.76.552
1571.2.76.56/3071.2.76.57 to 71.2.76.5871.2.76.592
1671.2.76.60/3071.2.76.61 to 71.2.76.6271.2.76.632
1771.2.76.64/3071.2.76.65 to 71.2.76.6671.2.76.672
1871.2.76.68/3071.2.76.69 to 71.2.76.7071.2.76.712
1971.2.76.72/3071.2.76.73 to 71.2.76.7471.2.76.752
2071.2.76.76/3071.2.76.77 to 71.2.76.7871.2.76.792
2171.2.76.80/3071.2.76.81 to 71.2.76.8271.2.76.832
2271.2.76.84/3071.2.76.85 to 71.2.76.8671.2.76.872
2371.2.76.88/3071.2.76.89 to 71.2.76.9071.2.76.912
2471.2.76.92/3071.2.76.93 to 71.2.76.9471.2.76.952
2571.2.76.96/3071.2.76.97 to 71.2.76.9871.2.76.992
2671.2.76.100/3071.2.76.101 to 71.2.76.10271.2.76.1032
2771.2.76.104/3071.2.76.105 to 71.2.76.10671.2.76.1072
2871.2.76.108/3071.2.76.109 to 71.2.76.11071.2.76.1112
2971.2.76.112/3071.2.76.113 to 71.2.76.11471.2.76.1152
3071.2.76.116/3071.2.76.117 to 71.2.76.11871.2.76.1192
3171.2.76.120/3071.2.76.121 to 71.2.76.12271.2.76.1232
3271.2.76.124/3071.2.76.125 to 71.2.76.12671.2.76.1272
3371.2.76.128/3071.2.76.129 to 71.2.76.13071.2.76.1312
3471.2.76.132/3071.2.76.133 to 71.2.76.13471.2.76.1352
3571.2.76.136/3071.2.76.137 to 71.2.76.13871.2.76.1392
3671.2.76.140/3071.2.76.141 to 71.2.76.14271.2.76.1432
3771.2.76.144/3071.2.76.145 to 71.2.76.14671.2.76.1472
3871.2.76.148/3071.2.76.149 to 71.2.76.15071.2.76.1512
3971.2.76.152/3071.2.76.153 to 71.2.76.15471.2.76.1552
4071.2.76.156/3071.2.76.157 to 71.2.76.15871.2.76.1592
4171.2.76.160/3071.2.76.161 to 71.2.76.16271.2.76.1632
4271.2.76.164/3071.2.76.165 to 71.2.76.16671.2.76.1672
4371.2.76.168/3071.2.76.169 to 71.2.76.17071.2.76.1712
4471.2.76.172/3071.2.76.173 to 71.2.76.17471.2.76.1752
4571.2.76.176/3071.2.76.177 to 71.2.76.17871.2.76.1792
4671.2.76.180/3071.2.76.181 to 71.2.76.18271.2.76.1832
4771.2.76.184/3071.2.76.185 to 71.2.76.18671.2.76.1872
4871.2.76.188/3071.2.76.189 to 71.2.76.19071.2.76.1912
4971.2.76.192/3071.2.76.193 to 71.2.76.19471.2.76.1952
5071.2.76.196/3071.2.76.197 to 71.2.76.19871.2.76.1992
5171.2.76.200/3071.2.76.201 to 71.2.76.20271.2.76.2032
5271.2.76.204/3071.2.76.205 to 71.2.76.20671.2.76.2072
5371.2.76.208/3071.2.76.209 to 71.2.76.21071.2.76.2112
5471.2.76.212/3071.2.76.213 to 71.2.76.21471.2.76.2152
5571.2.76.216/3071.2.76.217 to 71.2.76.21871.2.76.2192
5671.2.76.220/3071.2.76.221 to 71.2.76.22271.2.76.2232
5771.2.76.224/3071.2.76.225 to 71.2.76.22671.2.76.2272
5871.2.76.228/3071.2.76.229 to 71.2.76.23071.2.76.2312
5971.2.76.232/3071.2.76.233 to 71.2.76.23471.2.76.2352
6071.2.76.236/3071.2.76.237 to 71.2.76.23871.2.76.2392
6171.2.76.240/3071.2.76.241 to 71.2.76.24271.2.76.2432
6271.2.76.244/3071.2.76.245 to 71.2.76.24671.2.76.2472
6371.2.76.248/3071.2.76.249 to 71.2.76.25071.2.76.2512
6471.2.76.252/3071.2.76.253 to 71.2.76.25471.2.76.2552
6571.2.77.0/3071.2.77.1 to 71.2.77.271.2.77.32
6671.2.77.4/3071.2.77.5 to 71.2.77.671.2.77.72
6771.2.77.8/3071.2.77.9 to 71.2.77.1071.2.77.112
6871.2.77.12/3071.2.77.13 to 71.2.77.1471.2.77.152
6971.2.77.16/3071.2.77.17 to 71.2.77.1871.2.77.192
7071.2.77.20/3071.2.77.21 to 71.2.77.2271.2.77.232
7171.2.77.24/3071.2.77.25 to 71.2.77.2671.2.77.272
7271.2.77.28/3071.2.77.29 to 71.2.77.3071.2.77.312
7371.2.77.32/3071.2.77.33 to 71.2.77.3471.2.77.352
7471.2.77.36/3071.2.77.37 to 71.2.77.3871.2.77.392
7571.2.77.40/3071.2.77.41 to 71.2.77.4271.2.77.432
7671.2.77.44/3071.2.77.45 to 71.2.77.4671.2.77.472
7771.2.77.48/3071.2.77.49 to 71.2.77.5071.2.77.512
7871.2.77.52/3071.2.77.53 to 71.2.77.5471.2.77.552
7971.2.77.56/3071.2.77.57 to 71.2.77.5871.2.77.592
8071.2.77.60/3071.2.77.61 to 71.2.77.6271.2.77.632
8171.2.77.64/3071.2.77.65 to 71.2.77.6671.2.77.672
8271.2.77.68/3071.2.77.69 to 71.2.77.7071.2.77.712
8371.2.77.72/3071.2.77.73 to 71.2.77.7471.2.77.752
8471.2.77.76/3071.2.77.77 to 71.2.77.7871.2.77.792
8571.2.77.80/3071.2.77.81 to 71.2.77.8271.2.77.832
8671.2.77.84/3071.2.77.85 to 71.2.77.8671.2.77.872
8771.2.77.88/3071.2.77.89 to 71.2.77.9071.2.77.912
8871.2.77.92/3071.2.77.93 to 71.2.77.9471.2.77.952
8971.2.77.96/3071.2.77.97 to 71.2.77.9871.2.77.992
9071.2.77.100/3071.2.77.101 to 71.2.77.10271.2.77.1032
9171.2.77.104/3071.2.77.105 to 71.2.77.10671.2.77.1072
9271.2.77.108/3071.2.77.109 to 71.2.77.11071.2.77.1112
9371.2.77.112/3071.2.77.113 to 71.2.77.11471.2.77.1152
9471.2.77.116/3071.2.77.117 to 71.2.77.11871.2.77.1192
9571.2.77.120/3071.2.77.121 to 71.2.77.12271.2.77.1232
9671.2.77.124/3071.2.77.125 to 71.2.77.12671.2.77.1272
9771.2.77.128/3071.2.77.129 to 71.2.77.13071.2.77.1312
9871.2.77.132/3071.2.77.133 to 71.2.77.13471.2.77.1352
9971.2.77.136/3071.2.77.137 to 71.2.77.13871.2.77.1392
10071.2.77.140/3071.2.77.141 to 71.2.77.14271.2.77.1432
10171.2.77.144/3071.2.77.145 to 71.2.77.14671.2.77.1472
10271.2.77.148/3071.2.77.149 to 71.2.77.15071.2.77.1512
10371.2.77.152/3071.2.77.153 to 71.2.77.15471.2.77.1552
10471.2.77.156/3071.2.77.157 to 71.2.77.15871.2.77.1592
10571.2.77.160/3071.2.77.161 to 71.2.77.16271.2.77.1632
10671.2.77.164/3071.2.77.165 to 71.2.77.16671.2.77.1672
10771.2.77.168/3071.2.77.169 to 71.2.77.17071.2.77.1712
10871.2.77.172/3071.2.77.173 to 71.2.77.17471.2.77.1752
10971.2.77.176/3071.2.77.177 to 71.2.77.17871.2.77.1792
11071.2.77.180/3071.2.77.181 to 71.2.77.18271.2.77.1832
11171.2.77.184/3071.2.77.185 to 71.2.77.18671.2.77.1872
11271.2.77.188/3071.2.77.189 to 71.2.77.19071.2.77.1912
11371.2.77.192/3071.2.77.193 to 71.2.77.19471.2.77.1952
11471.2.77.196/3071.2.77.197 to 71.2.77.19871.2.77.1992
11571.2.77.200/3071.2.77.201 to 71.2.77.20271.2.77.2032
11671.2.77.204/3071.2.77.205 to 71.2.77.20671.2.77.2072
11771.2.77.208/3071.2.77.209 to 71.2.77.21071.2.77.2112
11871.2.77.212/3071.2.77.213 to 71.2.77.21471.2.77.2152
11971.2.77.216/3071.2.77.217 to 71.2.77.21871.2.77.2192
12071.2.77.220/3071.2.77.221 to 71.2.77.22271.2.77.2232
12171.2.77.224/3071.2.77.225 to 71.2.77.22671.2.77.2272
12271.2.77.228/3071.2.77.229 to 71.2.77.23071.2.77.2312
12371.2.77.232/3071.2.77.233 to 71.2.77.23471.2.77.2352
12471.2.77.236/3071.2.77.237 to 71.2.77.23871.2.77.2392
12571.2.77.240/3071.2.77.241 to 71.2.77.24271.2.77.2432
12671.2.77.244/3071.2.77.245 to 71.2.77.24671.2.77.2472
12771.2.77.248/3071.2.77.249 to 71.2.77.25071.2.77.2512
12871.2.77.252/3071.2.77.253 to 71.2.77.25471.2.77.2552
12971.2.78.0/3071.2.78.1 to 71.2.78.271.2.78.32
13071.2.78.4/3071.2.78.5 to 71.2.78.671.2.78.72
13171.2.78.8/3071.2.78.9 to 71.2.78.1071.2.78.112
13271.2.78.12/3071.2.78.13 to 71.2.78.1471.2.78.152
13371.2.78.16/3071.2.78.17 to 71.2.78.1871.2.78.192
13471.2.78.20/3071.2.78.21 to 71.2.78.2271.2.78.232
13571.2.78.24/3071.2.78.25 to 71.2.78.2671.2.78.272
13671.2.78.28/3071.2.78.29 to 71.2.78.3071.2.78.312
13771.2.78.32/3071.2.78.33 to 71.2.78.3471.2.78.352
13871.2.78.36/3071.2.78.37 to 71.2.78.3871.2.78.392
13971.2.78.40/3071.2.78.41 to 71.2.78.4271.2.78.432
14071.2.78.44/3071.2.78.45 to 71.2.78.4671.2.78.472
14171.2.78.48/3071.2.78.49 to 71.2.78.5071.2.78.512
14271.2.78.52/3071.2.78.53 to 71.2.78.5471.2.78.552
14371.2.78.56/3071.2.78.57 to 71.2.78.5871.2.78.592
14471.2.78.60/3071.2.78.61 to 71.2.78.6271.2.78.632
14571.2.78.64/3071.2.78.65 to 71.2.78.6671.2.78.672
14671.2.78.68/3071.2.78.69 to 71.2.78.7071.2.78.712
14771.2.78.72/3071.2.78.73 to 71.2.78.7471.2.78.752
14871.2.78.76/3071.2.78.77 to 71.2.78.7871.2.78.792
14971.2.78.80/3071.2.78.81 to 71.2.78.8271.2.78.832
15071.2.78.84/3071.2.78.85 to 71.2.78.8671.2.78.872
15171.2.78.88/3071.2.78.89 to 71.2.78.9071.2.78.912
15271.2.78.92/3071.2.78.93 to 71.2.78.9471.2.78.952
15371.2.78.96/3071.2.78.97 to 71.2.78.9871.2.78.992
15471.2.78.100/3071.2.78.101 to 71.2.78.10271.2.78.1032
15571.2.78.104/3071.2.78.105 to 71.2.78.10671.2.78.1072
15671.2.78.108/3071.2.78.109 to 71.2.78.11071.2.78.1112
15771.2.78.112/3071.2.78.113 to 71.2.78.11471.2.78.1152
15871.2.78.116/3071.2.78.117 to 71.2.78.11871.2.78.1192
15971.2.78.120/3071.2.78.121 to 71.2.78.12271.2.78.1232
16071.2.78.124/3071.2.78.125 to 71.2.78.12671.2.78.1272
16171.2.78.128/3071.2.78.129 to 71.2.78.13071.2.78.1312
16271.2.78.132/3071.2.78.133 to 71.2.78.13471.2.78.1352
16371.2.78.136/3071.2.78.137 to 71.2.78.13871.2.78.1392
16471.2.78.140/3071.2.78.141 to 71.2.78.14271.2.78.1432
16571.2.78.144/3071.2.78.145 to 71.2.78.14671.2.78.1472
16671.2.78.148/3071.2.78.149 to 71.2.78.15071.2.78.1512
16771.2.78.152/3071.2.78.153 to 71.2.78.15471.2.78.1552
16871.2.78.156/3071.2.78.157 to 71.2.78.15871.2.78.1592
16971.2.78.160/3071.2.78.161 to 71.2.78.16271.2.78.1632
17071.2.78.164/3071.2.78.165 to 71.2.78.16671.2.78.1672
17171.2.78.168/3071.2.78.169 to 71.2.78.17071.2.78.1712
17271.2.78.172/3071.2.78.173 to 71.2.78.17471.2.78.1752
17371.2.78.176/3071.2.78.177 to 71.2.78.17871.2.78.1792
17471.2.78.180/3071.2.78.181 to 71.2.78.18271.2.78.1832
17571.2.78.184/3071.2.78.185 to 71.2.78.18671.2.78.1872
17671.2.78.188/3071.2.78.189 to 71.2.78.19071.2.78.1912
17771.2.78.192/3071.2.78.193 to 71.2.78.19471.2.78.1952
17871.2.78.196/3071.2.78.197 to 71.2.78.19871.2.78.1992
17971.2.78.200/3071.2.78.201 to 71.2.78.20271.2.78.2032
18071.2.78.204/3071.2.78.205 to 71.2.78.20671.2.78.2072
18171.2.78.208/3071.2.78.209 to 71.2.78.21071.2.78.2112
18271.2.78.212/3071.2.78.213 to 71.2.78.21471.2.78.2152
18371.2.78.216/3071.2.78.217 to 71.2.78.21871.2.78.2192
18471.2.78.220/3071.2.78.221 to 71.2.78.22271.2.78.2232
18571.2.78.224/3071.2.78.225 to 71.2.78.22671.2.78.2272
18671.2.78.228/3071.2.78.229 to 71.2.78.23071.2.78.2312
18771.2.78.232/3071.2.78.233 to 71.2.78.23471.2.78.2352
18871.2.78.236/3071.2.78.237 to 71.2.78.23871.2.78.2392
18971.2.78.240/3071.2.78.241 to 71.2.78.24271.2.78.2432
19071.2.78.244/3071.2.78.245 to 71.2.78.24671.2.78.2472
19171.2.78.248/3071.2.78.249 to 71.2.78.25071.2.78.2512
19271.2.78.252/3071.2.78.253 to 71.2.78.25471.2.78.2552
19371.2.79.0/3071.2.79.1 to 71.2.79.271.2.79.32
19471.2.79.4/3071.2.79.5 to 71.2.79.671.2.79.72
19571.2.79.8/3071.2.79.9 to 71.2.79.1071.2.79.112
19671.2.79.12/3071.2.79.13 to 71.2.79.1471.2.79.152
19771.2.79.16/3071.2.79.17 to 71.2.79.1871.2.79.192
19871.2.79.20/3071.2.79.21 to 71.2.79.2271.2.79.232
19971.2.79.24/3071.2.79.25 to 71.2.79.2671.2.79.272
20071.2.79.28/3071.2.79.29 to 71.2.79.3071.2.79.312
20171.2.79.32/3071.2.79.33 to 71.2.79.3471.2.79.352
20271.2.79.36/3071.2.79.37 to 71.2.79.3871.2.79.392
20371.2.79.40/3071.2.79.41 to 71.2.79.4271.2.79.432
20471.2.79.44/3071.2.79.45 to 71.2.79.4671.2.79.472
20571.2.79.48/3071.2.79.49 to 71.2.79.5071.2.79.512
20671.2.79.52/3071.2.79.53 to 71.2.79.5471.2.79.552
20771.2.79.56/3071.2.79.57 to 71.2.79.5871.2.79.592
20871.2.79.60/3071.2.79.61 to 71.2.79.6271.2.79.632
20971.2.79.64/3071.2.79.65 to 71.2.79.6671.2.79.672
21071.2.79.68/3071.2.79.69 to 71.2.79.7071.2.79.712
21171.2.79.72/3071.2.79.73 to 71.2.79.7471.2.79.752
21271.2.79.76/3071.2.79.77 to 71.2.79.7871.2.79.792
21371.2.79.80/3071.2.79.81 to 71.2.79.8271.2.79.832
21471.2.79.84/3071.2.79.85 to 71.2.79.8671.2.79.872
21571.2.79.88/3071.2.79.89 to 71.2.79.9071.2.79.912
21671.2.79.92/3071.2.79.93 to 71.2.79.9471.2.79.952
21771.2.79.96/3071.2.79.97 to 71.2.79.9871.2.79.992
21871.2.79.100/3071.2.79.101 to 71.2.79.10271.2.79.1032
21971.2.79.104/3071.2.79.105 to 71.2.79.10671.2.79.1072
22071.2.79.108/3071.2.79.109 to 71.2.79.11071.2.79.1112
22171.2.79.112/3071.2.79.113 to 71.2.79.11471.2.79.1152
22271.2.79.116/3071.2.79.117 to 71.2.79.11871.2.79.1192
22371.2.79.120/3071.2.79.121 to 71.2.79.12271.2.79.1232
22471.2.79.124/3071.2.79.125 to 71.2.79.12671.2.79.1272
22571.2.79.128/3071.2.79.129 to 71.2.79.13071.2.79.1312
22671.2.79.132/3071.2.79.133 to 71.2.79.13471.2.79.1352
22771.2.79.136/3071.2.79.137 to 71.2.79.13871.2.79.1392
22871.2.79.140/3071.2.79.141 to 71.2.79.14271.2.79.1432
22971.2.79.144/3071.2.79.145 to 71.2.79.14671.2.79.1472
23071.2.79.148/3071.2.79.149 to 71.2.79.15071.2.79.1512
23171.2.79.152/3071.2.79.153 to 71.2.79.15471.2.79.1552
23271.2.79.156/3071.2.79.157 to 71.2.79.15871.2.79.1592
23371.2.79.160/3071.2.79.161 to 71.2.79.16271.2.79.1632
23471.2.79.164/3071.2.79.165 to 71.2.79.16671.2.79.1672
23571.2.79.168/3071.2.79.169 to 71.2.79.17071.2.79.1712
23671.2.79.172/3071.2.79.173 to 71.2.79.17471.2.79.1752
23771.2.79.176/3071.2.79.177 to 71.2.79.17871.2.79.1792
23871.2.79.180/3071.2.79.181 to 71.2.79.18271.2.79.1832
23971.2.79.184/3071.2.79.185 to 71.2.79.18671.2.79.1872
24071.2.79.188/3071.2.79.189 to 71.2.79.19071.2.79.1912
24171.2.79.192/3071.2.79.193 to 71.2.79.19471.2.79.1952
24271.2.79.196/3071.2.79.197 to 71.2.79.19871.2.79.1992
24371.2.79.200/3071.2.79.201 to 71.2.79.20271.2.79.2032
24471.2.79.204/3071.2.79.205 to 71.2.79.20671.2.79.2072
24571.2.79.208/3071.2.79.209 to 71.2.79.21071.2.79.2112
24671.2.79.212/3071.2.79.213 to 71.2.79.21471.2.79.2152
24771.2.79.216/3071.2.79.217 to 71.2.79.21871.2.79.2192
24871.2.79.220/3071.2.79.221 to 71.2.79.22271.2.79.2232
24971.2.79.224/3071.2.79.225 to 71.2.79.22671.2.79.2272
25071.2.79.228/3071.2.79.229 to 71.2.79.23071.2.79.2312
25171.2.79.232/3071.2.79.233 to 71.2.79.23471.2.79.2352
25271.2.79.236/3071.2.79.237 to 71.2.79.23871.2.79.2392
25371.2.79.240/3071.2.79.241 to 71.2.79.24271.2.79.2432
25471.2.79.244/3071.2.79.245 to 71.2.79.24671.2.79.2472
25571.2.79.248/3071.2.79.249 to 71.2.79.25071.2.79.2512
25671.2.79.252/3071.2.79.253 to 71.2.79.25471.2.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses